<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwGeneral: fwWebBrowser.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwGeneral
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwWebBrowser_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwWebBrowser.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8ae21cffca0c579787e515eb1f11e0dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWebBrowser_8ctl.html#a8ae21cffca0c579787e515eb1f11e0dd">fwWebBrowser_showStandaloneWindow</a> (string sLink, dyn_string &amp;exceptionInfo, string sLabel=&quot;&quot;, string sWindowName=&quot;&quot;, bool bNavigationButton=1, bool bUrlBarVisibility=1, bool bAdressEditable=1, bool bNewTabButton=1, string sDefaultPage=&quot;http://home.cern&quot;, bool bOpenInNewModule=1)</td></tr>
<tr class="separator:a8ae21cffca0c579787e515eb1f11e0dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5b9bfecd15ac2d4f99312c1c8dde301a"><td class="memItemLeft" align="right" valign="top">private const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwWebBrowser_8ctl.html#a5b9bfecd15ac2d4f99312c1c8dde301a">_fwViewerLoaded</a> = <a class="el" href="fwGeneral_8ctl.html#a5269a31e07475db788bf8bcbf6d04c0b">fwGeneral_loadCtrlLib</a>(&quot;fwViewer/fwViewer_API.ctl&quot;,false)</td></tr>
<tr class="separator:a5b9bfecd15ac2d4f99312c1c8dde301a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library provides functions for opening the fwWebBrowser: a web browser based on the WinCCOA's (and Qt's) built-in webview widget. This browser has basic navigation functionality and features tabbed view. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a8ae21cffca0c579787e515eb1f11e0dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ae21cffca0c579787e515eb1f11e0dd">&#9670;&nbsp;</a></span>fwWebBrowser_showStandaloneWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwWebBrowser_showStandaloneWindow </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sLink</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sLabel</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sWindowName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bNavigationButton</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bUrlBarVisibility</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAdressEditable</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bNewTabButton</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDefaultPage</em> = <code>&quot;http://home.cern&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bOpenInNewModule</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opens a new web browser as a child panel, with a specified URL</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sLink</td><td>specifies the URL to open </td></tr>
    <tr><td class="paramname">sLabel</td><td>(optional) allows to define the name of the tab in which the URL is open </td></tr>
    <tr><td class="paramname">sWindowName</td><td>(optional) allows to define the window name (it will appear in the task bar) </td></tr>
    <tr><td class="paramname">bNavigationButton</td><td>(optional) if true, navigation buttons will be shown </td></tr>
    <tr><td class="paramname">bUrlBarVisibility</td><td>(optional) if true, URL bar will be displayed </td></tr>
    <tr><td class="paramname">bAddressEditable</td><td>(optional) if true, the address in URL bar may be edited </td></tr>
    <tr><td class="paramname">bNewTabButton</td><td>(optional) if true, a button to open a new tab will be shown </td></tr>
    <tr><td class="paramname">sDefaultPage</td><td>(optional) declares the default (home) page </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5b9bfecd15ac2d4f99312c1c8dde301a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9bfecd15ac2d4f99312c1c8dde301a">&#9670;&nbsp;</a></span>_fwViewerLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private const bool _fwViewerLoaded = <a class="el" href="fwGeneral_8ctl.html#a5269a31e07475db788bf8bcbf6d04c0b">fwGeneral_loadCtrlLib</a>(&quot;fwViewer/fwViewer_API.ctl&quot;,false)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Load fwViewer/fwViewer_API, if it is present in the system ignore if it is not... </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwWebBrowser_8ctl.html">fwWebBrowser.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
